Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Desktop Software

Reply
Contributor
eywong
Posts: 35
Registered: ‎03-12-2009
My Device: Z10 STL 100-3

Handheld Application Loader Wizard has encountered a problem and needs to close

I encountered the problem while using BlackBerry Desktop Software Version 6.1.0.35 with my Torch 9800. After I clicked the "Applications" button on the Desktop Software window, I got the pop-up window bearing the subject message.

 

Additional info from the pop-up windows:

 

AppName: loader.exe

AppVer: 6.0.1.33

ModName: loader.exe

ModVer: 6.0.1.33

Offset: 003721e3

 

Exception Information

Code: 0xc0000417  Flags: 0x00000001

Record: 0x0000000000000000  Address: 0x00000000007721e3

 

System Information

Windows NT 5.1 Build: 2600

 

The "Organizer" function seems to work ok. I have tried no other Desktop Software features (e.g., Media Sync).

 

 

Contributor
eywong
Posts: 35
Registered: ‎03-12-2009
My Device: Z10 STL 100-3

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

Here's additional info that may help with troubleshooting.

 

After I launch the Application Loader Wizard (loader.exe), it tries to retrieve and examine my phone's configuration. It lists three (3) steps to be performed:

1. Read application configuration

2. Read device system configuration

3. Read device service information

 

Steps 1 & 2 seem to proceed to completion with no problem.

It's during step 3 that the Wizard seems to crash. During that step, the Wizard shows "Connected to JVM." I also observed in the Windows Task Manager that a second "Application Loader Wizard" task was started. Both "Application Loader Wizard" tasks immediately transitioned to "Not Responding" status. Shortly thereafter, I got the pop-up message "Handheld Application Loader Wizard has encountered a problem..."

 

If you have any thoughts, suggestions, etc. how to resolve this issue, please post them in a reply to this thread.

 

Thanks.

 

P.S. I have tried uninstalling Desktop Manager and the Device Software update and then reinstalling both. That did not resolve my issue.

New Contributor
CZub
Posts: 6
Registered: ‎03-24-2011
My Device: Z10

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

I have the identical problem - it started when I installed latest version of BB Desktop software. Also re-installed both phone and desktop - no change. I have no access to applications on the desktop.
Contributor
eywong
Posts: 35
Registered: ‎03-12-2009
My Device: Z10 STL 100-3

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

I resolved the issue. Here are the steps I followed:

1. Uninstall all BB OS packages from PC.

2. Uninstall BB Destop Software from PC (also select option to delete configuration info).

3. Restart PC.

4. Install BB Desktop Software (ver. 6.1.0.35)

5. Install BB OS package.

6. Launch BB Desktop Software. (Note: "Connecting" takes several minutes to complete).

7. Click "Applications" (Note: "Loading/Searching" takes several minutes to complete). Observe list of applications on device.

8. Click "Organizer" and then configure synchronization settings.

9. Click "Sync" (Sync should work ok).

 

Note: I followed exactly those same steps on a second PC (running WinXP w/ SP3) on which DM had the same issue. Now, DM works as expected on both PCs. I hope my info helps you resolve your same issue with DM.

New Contributor
tjmihalcik
Posts: 4
Registered: ‎06-25-2011
My Device: Torch

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

I am new to BB.  Could you explain?

5. Install BB OS package.

 

Thanks

Contributor
eywong
Posts: 35
Registered: ‎03-12-2009
My Device: Z10 STL 100-3

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

By "BB OS package," I meant the BlackBerry device software for your phone. The package consists of the operating system software, applications software, Java software, etc. You can download the "official" package for  your phone from your carrier's website. (If you are adventurous, get the highest released version from any carrier's website or get the latest leaked version. Update your phone at your own risk.) If you are not intending to update or change your phone's software, you don't need to install the package on your PC. I hope I answered your question.

Contributor
JustChas
Posts: 15
Registered: ‎07-16-2011
My Device: Torch 9800

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

I'm receving the same error too and tried the steps above. It has not resolved the issue.

New Contributor
CZub
Posts: 6
Registered: ‎03-24-2011
My Device: Z10

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

I have now tried the solution suggested twice. No change - same error appears.

Trusted Contributor
BB4matt
Posts: 135
Registered: ‎07-25-2011
My Device: Z30, Torch 9800, Playbook

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

I had the same error on my Torch using BBDTM (Desk Top Mgr) Version 6.1.0.35 for a while till I realized that when one installs new device software  (in my case : Software Name: BlackBerry Handheld Software v6.0.0.2391 for Torch version 6.0 Bundle 2391) it did not clear the 'AppLoader' folder of the previous files which was in my case the reason for the 'Handheld Application Loader Wizard' error.

 

You can skip the next paragraph unless you are curious.

Check out this link on your PC: ' C:\Program Files\Common Files\Research In Motion\AppLoader' and check what version the 'loader .exe' file is running, i.e. Loader.exe is probably File Version: 6.0.1.33 (I held my mouse over the file name 'Loader.exe' to see what version number ) ( by the way:  File Version: 6.0.1.37 meant also trouble on my PC as well). You can force this error by first retiring your DTM and then double click (run) the 'loader.exe' file...=> and you should get the familiar error without the DTM alive (clou here...).

 

What helped in my case: I highlighted all the files in the 'AppLoader' folder (C:\Program Files\Common Files\Research In Motion\AppLoader) and deleted them all. Make sure the folder is empty before the next step.


I then removed my 'Blackberry Device Software v6.0 for the Blackberry Smartphone ' on my PC via the 'Add or Remove Programs' accessed by the control panel. I then reinstalled the same software again and now I had the proper files in this folder with File Version: 6.0.1.15. (When I shut down the DTM and ran (double-clicked) the' loader.exe' file the loader wizard worked correctly. Depending on the service provider you might experience a different FileVersion but it should now work properly).

 

I don't know whether this will help in your case but it did for me. In case you are looking for the device software it can be found here:

http://us.blackberry.com/support/downloads/download_sites.jsp
find: North America   =>  in my case  I selected  'Bell Mobility Inc.' ( I guess each service provider gets their own version)
next page =>    'Download for Bell Mobility Inc.'
1. You must download both the desktop and handheld software to a temporary location on your hard  

drive.
2. Be sure to install the desktop software first, then the handheld software on your computer. The   

handheld software will update the software on your BlackBerry Wireless Handheld(TM)

I selected: BackBerry Torch 9800 smartphone and then downloaded the above device software.

 

What did I learn? There was no issue with the DTM or my Torch 9800 contrary to some comments elsewhere but with Windows XP 'Remove software'. 'Remove' did not remove obsolete files to allow  new AppLoader device files to load properly when the device software was reinstalled.

 

Good luck,

 BB4matt

New Contributor
CZub
Posts: 6
Registered: ‎03-24-2011
My Device: Z10

Re: Handheld Application Loader Wizard has encountered a problem and needs to close

Thanks for the info, BB4matt, but, unfortunately, this did not solve my problem. I followed all your instructions and still ended up with the same error message and Application Loader v.6.0.1.33! This is very frustrating!!! BTW I'm using a Bold 9700, not a Torch as others here are... Don't know if that's going to make any difference.